Package org.apache.batchee.container.services.persistence.jpa.domain

## Class JobInstanceEntity

- java.lang.Object
- - org.apache.batchee.container.services.persistence.jpa.domain.JobInstanceEntity

-     @Entity
      public class JobInstanceEntity
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `JobInstanceEntity.Queries` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TABLE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobInstanceEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `List<JobExecutionEntity>` | `getExecutions()` |
    `String` | `getExitStatus()` |
    `long` | `getJobInstanceId()` |
    `String` | `getJobXml()` |
    `long` | `getLatestExecution()` |
    `String` | `getName()` |
    `String` | `getRestartOn()` |
    `String` | `getStep()` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `setExitStatus​(String exitStatus)` |
    `void` | `setJobXml​(String jobXml)` |
    `void` | `setLatestExecution​(long latestExecution)` |
    `void` | `setName​(String name)` |
    `void` | `setRestartOn​(String restartOn)` |
    `void` | `setStep​(String step)` |
    `javax.batch.runtime.JobInstance` | `toJobInstance()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_NAME

          public static final String TABLE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JobInstanceEntity

          public JobInstanceEntity()

  - ### Method Detail

    - #### getJobInstanceId

          public long getJobInstanceId()

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### setJobXml

          public void setJobXml​(String jobXml)

    - #### getJobXml

          public String getJobXml()

    - #### getStep

          public String getStep()

    - #### setStep

          public void setStep​(String step)

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)

    - #### getExitStatus

          public String getExitStatus()

    - #### setExitStatus

          public void setExitStatus​(String exitStatus)

    - #### getRestartOn

          public String getRestartOn()

    - #### setRestartOn

          public void setRestartOn​(String restartOn)

    - #### getLatestExecution

          public long getLatestExecution()

    - #### setLatestExecution

          public void setLatestExecution​(long latestExecution)

    - #### getExecutions

          public List<JobExecutionEntity> getExecutions()

    - #### toJobInstance

          public javax.batch.runtime.JobInstance toJobInstance()